package com.goldenwater.slaj.acci.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.acci.domain.MwrAcci;

/**
 * 水利部事故共享信息 数据层
 */
@Mapper
public interface MwrAcciMapper {

    /**
     * 查询水利部事故共享信息
     * @param guid 查询条件
     * @return 水利部事故共享信息
     */
    MwrAcci selectMwrAcciByGuid(String guid);

    /**
     * 查询水利部事故共享信息列表
     * @param mwrAcci 水利部事故共享信息查询条件
     * @return 水利部事故共享信息集合
     */
    List<MwrAcci> selectMwrAcciList(MwrAcci mwrAcci);

    /**
     * 新增水利部事故共享信息
     * @param mwrAcci 水利部事故共享信息
     * @return 影响行数
     */
    int insertMwrAcci(MwrAcci mwrAcci);

    /**
     * 修改水利部事故共享信息
     * @param mwrAcci 水利部事故共享信息
     * @return 影响行数
     */
    int updateMwrAcci(MwrAcci mwrAcci);

    /**
     * 删除水利部事故共享信息
     * @param guid 水利部事故共享信息主键
     * @return 影响行数
     */
    int deleteMwrAcciByGuid(String guid);

    /**
     * 批量删除水利部事故共享信息
     * @param guids 水利部事故共享信息主键数组
     * @return 影响行数
     */
    int deleteMwrAcciByGuids(String[] guids);
}
